AOZ Studio Beta - Bug #849

Restore Label$ form of restore is using a case-sensitive compare. It is expecting all lower case.
(Should be an easy fix.)

10/11/2021 02:07 PM - Brian Flanagan

Status: Closed Start date: 10/11/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Instead, it returns an Internal error.
Example:

Restore "StartOfData"

StartOfData:
Data 1,2,3,4,5

History

#1 - 10/11/2021 02:09 PM - Brian Flanagan

Result on console:

Cannot read property 'call' of undefined

raoz.js:1331 TypeError: Cannot read property 'call' of undefined
at AOZ.runBlocks (raoz.js:1008)

at updateOnce (raoz.js:578)

at AOZ.doUpdate (raoz.js:548)

at raoz.js:562

#2 - 10/11/2021 02:12 PM - Brian Flanagan

Found the problem. The comparison on the label is case sensitive, but it is not supposed to be.
If | change the label to "startofdata”, it works.

#3 - 10/11/2021 02:13 PM - Brian Flanagan

- Subject changed from Restore Label$ doesn't work. to Restore Label$ form of restore is using a case-sensitive compare. It is expecting all lower
case. (Should be an easy fix.)

#4 - 10/21/2021 08:32 AM - Brian Flanagan

- Status changed from New to Resolved

Re-tested in 21 Oct 2021 version.
It's working now in both manifests.
Thanks to whoever fixed it. ;-)

Verified with previous as well as new test code:

For x=1 to 5
Read Y : Print Y,
Next x

Restore "startofdata"
Print : Print

For x=1 To 5

Read Y : Print Y,
Next x
End

StartOfData:
Data 1,2,3,4,5
#5 - 10/22/2021 11:57 AM - Brian Flanagan

- Status changed from Resolved to Closed
